%define		rev 20160201
Name:		httpd-spdy
Version:	0.9.4.1
Release:	1%{?dist}
Summary:	Apache 2.4 module to enable SPDY support.
Summary(ko):	Apache 2.4 SPDY 지원 모듈

Group:		System Environment/Daemons
License:	Apache Software License
URL:		https://github.com/eousphoros/mod-spdy
Source0:	mod-spdy-%{rev}.tar.bz2
Source1:	spdy.conf
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildRequires:	httpd-devel openssl-devel
Requires:	httpd > 2.4 openssl > 1.0.0

%description
mod_spdy is an Apache module that allows an Apache server to support the SPDY
protocol for serving HTTP resources.

%prep
%setup -q -n mod-spdy-%{rev}

%build
cd src
make %{?_smp_mflags} BUILDTYPE=Release

%install
rm -rf %{buildroot}
%{__mkdir_p} %{buildroot}%{_sysconfdir}/httpd/conf.d
%{__mkdir_p} %{buildroot}%{_libdir}/httpd/modules

%{__install} -m 644 %{SOURCE1} %{buildroot}%{_sysconfdir}/httpd/conf.d/spdy.conf
%{__install} -m 755 \
	src/out/Release/libmod_spdy.so \
	%{buildroot}%{_libdir}/httpd/modules/mod_spdy.so

%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%config(noreplace) %{_sysconfdir}/httpd/conf.d/spdy.conf
%{_libdir}/httpd/modules/mod_spdy.so

%changelog
* Mon Feb 01 2016 JoungKyun.Kim <http://oops.org> 1:0.9.4.1-1%{?dist}
- first release
